petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMCompositeRestoreAccess

Returns the vectors obtained with DMCompositeGetAccess() representation.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeRestoreAccess(DM dm,Vec gvec,...)

Collective on dm

### Input Parameters

| dm | - the packer object
| gvec | - the global vector
| Vec* ... | - the individual parallel vectors, NULL for those that are not needed

### See Also

DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeScatter(), DMCompositeRestoreAccess(), DMCompositeGetAccess()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages